Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SSLIOP_Server_Invocation_Interceptor Class Reference

Secure invocation server request interceptor. More...

`#include <SSLIOP_Invocation_Interceptor.h>`

Inheritance diagram for TAO_SSLIOP_Server_Invocation_Interceptor:

[legend]
Collaboration diagram for TAO_SSLIOP_Server_Invocation_Interceptor:

[legend]
List of all members.

## Public Methods
| TAO_SSLIOP_Server_Invocation_Interceptor (SSLIOP::Current_ptr current, Security::QOP qop)
| Constructor. More...
PortableInterceptor::ServerRequestInterceptor Methods
Methods required by the PortableInterceptor::ServerRequestInterceptor interface.
virtual char * | name (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | receive_request_service_contexts (PortableInterceptor::ServerRequestInfo_ptr ri ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, PortableInterceptor::ForwardRequest)
virtual void | receive_request (PortableInterceptor::ServerRequestInfo_ptr ri ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, PortableInterceptor::ForwardRequest)
virtual void | send_reply (PortableInterceptor::ServerRequestInfo_ptr ri ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | send_exception (PortableInterceptor::ServerRequestInfo_ptr ri ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, PortableInterceptor::ForwardRequest)
virtual void | send_other (PortableInterceptor::ServerRequestInfo_ptr ri ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, PortableInterceptor::ForwardRequest)
## Protected Methods
| ~TAO_SSLIOP_Server_Invocation_Interceptor (void)
| Protected destructor to force deallocation by the reference counting mechanism. More...
## Private Methods
Copying and Assignment
Protected to prevent copying through the copy constructor and the assignment operator.
| TAO_SSLIOP_Server_Invocation_Interceptor (const TAO_SSLIOP_Server_Invocation_Interceptor &)
void | operator= (const TAO_SSLIOP_Server_Invocation_Interceptor &)
## Private Attributes
SSLIOP::Current_var | ssliop_current_
| Reference to the current SSLIOP execution context. More...
Security::QOP | qop_
| The default quality-of-protection settings in use. More...

## Detailed Description

Secure invocation server request interceptor.

This server request interceptor rejects insecure request invocations if the effective target object policy requires secure invocations.

## Constructor & Destructor Documentation

TAO_SSLIOP_Server_Invocation_Interceptor::TAO_SSLIOP_Server_Invocation_Interceptor | ( | SSLIOP::Current_ptr | current,
|  | Security::QOP | qop
| ) |

| Constructor.

TAO_SSLIOP_Server_Invocation_Interceptor::~TAO_SSLIOP_Server_Invocation_Interceptor | ( | void |  | ) | `[protected]`

| Protected destructor to force deallocation by the reference counting mechanism.

TAO_SSLIOP_Server_Invocation_Interceptor::TAO_SSLIOP_Server_Invocation_Interceptor | ( | const TAO_SSLIOP_Server_Invocation_Interceptor & |  | ) | `[private]`

## Member Function Documentation

void TAO_SSLIOP_Server_Invocation_Interceptor::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from PortableInterceptor::Interceptor.

char * TAO_SSLIOP_Server_Invocation_Interceptor::name | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from PortableInterceptor::Interceptor.

void TAO_SSLIOP_Server_Invocation_Interceptor::operator= | ( | const TAO_SSLIOP_Server_Invocation_Interceptor & |  | ) | `[private]`

void TAO_SSLIOP_Server_Invocation_Interceptor::receive_request | ( | PortableInterceptor::ServerRequestInfo_ptr | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException, PortableInterceptor::ForwardRequest)`[virtual]`

| Reimplemented from PortableInterceptor::ServerRequestInterceptor.

void TAO_SSLIOP_Server_Invocation_Interceptor::receive_request_service_contexts | ( | PortableInterceptor::ServerRequestInfo_ptr | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, PortableInterceptor::ForwardRequest)`[virtual]`

| Reimplemented from PortableInterceptor::ServerRequestInterceptor.

void TAO_SSLIOP_Server_Invocation_Interceptor::send_exception | ( | PortableInterceptor::ServerRequestInfo_ptr | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException, PortableInterceptor::ForwardRequest)`[virtual]`

| Reimplemented from PortableInterceptor::ServerRequestInterceptor.

void TAO_SSLIOP_Server_Invocation_Interceptor::send_other | ( | PortableInterceptor::ServerRequestInfo_ptr | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException, PortableInterceptor::ForwardRequest)`[virtual]`

| Reimplemented from PortableInterceptor::ServerRequestInterceptor.

void TAO_SSLIOP_Server_Invocation_Interceptor::send_reply | ( | PortableInterceptor::ServerRequestInfo_ptr | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from PortableInterceptor::ServerRequestInterceptor.

## Member Data Documentation

Security::QOP TAO_SSLIOP_Server_Invocation_Interceptor::qop_`[private]`

| The default quality-of-protection settings in use.

SSLIOP::Current_var TAO_SSLIOP_Server_Invocation_Interceptor::ssliop_current_`[private]`

| Reference to the current SSLIOP execution context.

The documentation for this class was generated from the following files:

- SSLIOP_Invocation_Interceptor.h
- SSLIOP_Invocation_Interceptor.cpp